Company Profile Information V2.1
curl --request GET \
--url 'https://api.benzinga.com/api/v2.1/fundamentals/companyProfile?token='import requests
url = "https://api.benzinga.com/api/v2.1/fundamentals/companyProfile?token="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.benzinga.com/api/v2.1/fundamentals/companyProfile?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.benzinga.com/api/v2.1/fundamentals/companyProfile?token=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.benzinga.com/api/v2.1/fundamentals/companyProfile?token="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.benzinga.com/api/v2.1/fundamentals/companyProfile?token=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.benzinga.com/api/v2.1/fundamentals/companyProfile?token=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"result": [
{
"company": {
"primarySymbol": "AAPL",
"primaryExchange": "NAS",
"cik": "320193",
"isin": "CA03785Y1007",
"cusip": "03785Y100",
"standardName": "Apple",
"countryId": "USA",
"isReit": false,
"industryTemplateCode": "N",
"businessCountryId": "USA",
"isLimitedPartnership": false,
"yearofEstablishment": 1977,
"isLimitedLiabilityCompany": false
},
"companyProfile": {
"companyStatus": "U",
"countryId": "USA",
"fiscalYearEnd": "9",
"shortName": "Apple",
"standardName": "Apple Inc",
"address1": "One Apple Park Way",
"city": "Cupertino",
"country": "USA",
"fax": "+1 408 974-2483",
"homepage": "https://www.apple.com",
"phone": "+1 408 996-1010",
"postalCode": "95014",
"province": "CA",
"totalEmployees": 166000,
"legalName": "Apple Inc",
"longDescription": "Apple is among the largest companies in the world, with a broad portfolio of hardware and software products targeted at consumers and businesses. Apple's iPhone makes up a majority of the firm sales, and Apple's other products like Mac, iPad, and Watch are designed around the iPhone as the focal point of an expansive software ecosystem. Apple has progressively worked to add new applications, like streaming video, subscription bundles, and augmented reality. The firm designs its own software and semiconductors while working with subcontractors like Foxconn and TSMC to build its products and chips. Slightly less than half of Apple's sales come directly through its flagship stores, with a majority of sales coming indirectly through partnerships and distribution."
},
"symbol": "AAPL",
"idType": "SYMBOL",
"id": "AAPL"
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Company Fundamentals
Company Profile
Retrieves comprehensive company profile information including business description, industry classification, sector details, headquarters location, key executives, and other corporate metadata. Essential for understanding company background and organizational structure.
GET
/
api
/
v2.1
/
fundamentals
/
companyProfile
Company Profile Information V2.1
curl --request GET \
--url 'https://api.benzinga.com/api/v2.1/fundamentals/companyProfile?token='import requests
url = "https://api.benzinga.com/api/v2.1/fundamentals/companyProfile?token="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.benzinga.com/api/v2.1/fundamentals/companyProfile?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.benzinga.com/api/v2.1/fundamentals/companyProfile?token=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.benzinga.com/api/v2.1/fundamentals/companyProfile?token="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.benzinga.com/api/v2.1/fundamentals/companyProfile?token=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.benzinga.com/api/v2.1/fundamentals/companyProfile?token=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"result": [
{
"company": {
"primarySymbol": "AAPL",
"primaryExchange": "NAS",
"cik": "320193",
"isin": "CA03785Y1007",
"cusip": "03785Y100",
"standardName": "Apple",
"countryId": "USA",
"isReit": false,
"industryTemplateCode": "N",
"businessCountryId": "USA",
"isLimitedPartnership": false,
"yearofEstablishment": 1977,
"isLimitedLiabilityCompany": false
},
"companyProfile": {
"companyStatus": "U",
"countryId": "USA",
"fiscalYearEnd": "9",
"shortName": "Apple",
"standardName": "Apple Inc",
"address1": "One Apple Park Way",
"city": "Cupertino",
"country": "USA",
"fax": "+1 408 974-2483",
"homepage": "https://www.apple.com",
"phone": "+1 408 996-1010",
"postalCode": "95014",
"province": "CA",
"totalEmployees": 166000,
"legalName": "Apple Inc",
"longDescription": "Apple is among the largest companies in the world, with a broad portfolio of hardware and software products targeted at consumers and businesses. Apple's iPhone makes up a majority of the firm sales, and Apple's other products like Mac, iPad, and Watch are designed around the iPhone as the focal point of an expansive software ecosystem. Apple has progressively worked to add new applications, like streaming video, subscription bundles, and augmented reality. The firm designs its own software and semiconductors while working with subcontractors like Foxconn and TSMC to build its products and chips. Slightly less than half of Apple's sales come directly through its flagship stores, with a majority of sales coming indirectly through partnerships and distribution."
},
"symbol": "AAPL",
"idType": "SYMBOL",
"id": "AAPL"
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
{
"result": [
{
"company": {
"primarySymbol": "AAPL",
"primaryExchange": "NAS",
"cik": "320193",
"isin": "CA03785Y1007",
"cusip": "03785Y100",
"standardName": "Apple",
"countryId": "USA",
"isReit": false,
"industryTemplateCode": "N",
"businessCountryId": "USA",
"isLimitedPartnership": false,
"yearofEstablishment": 1977,
"isLimitedLiabilityCompany": false
},
"companyProfile": {
"companyStatus": "U",
"countryId": "USA",
"fiscalYearEnd": "9",
"shortName": "Apple",
"standardName": "Apple Inc",
"address1": "One Apple Park Way",
"city": "Cupertino",
"country": "USA",
"fax": "+1 408 974-2483",
"homepage": "https://www.apple.com",
"phone": "+1 408 996-1010",
"postalCode": "95014",
"province": "CA",
"totalEmployees": 166000,
"legalName": "Apple Inc",
"longDescription": "Apple is among the largest companies in the world, with a broad portfolio of hardware and software products targeted at consumers and businesses. Apple's iPhone makes up a majority of the firm sales, and Apple's other products like Mac, iPad, and Watch are designed around the iPhone as the focal point of an expansive software ecosystem. Apple has progressively worked to add new applications, like streaming video, subscription bundles, and augmented reality. The firm designs its own software and semiconductors while working with subcontractors like Foxconn and TSMC to build its products and chips. Slightly less than half of Apple's sales come directly through its flagship stores, with a majority of sales coming indirectly through partnerships and distribution."
},
"symbol": "AAPL",
"idType": "SYMBOL",
"id": "AAPL"
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Query Parameters
Response
Company profile data
The response is of type object.
Was this page helpful?